# Installer YunoHost sur Raspberry Pi

*Toutes les autres façons d’installer YunoHost sont listées **[ici](/install_fr)**.*

<center>
<img src="https://cdn.shopify.com/s/files/1/0176/3274/products/rpi2b_1024x1024.jpg" width=350>
</center>

<div class="alert alert-info" markdown="1">
Avant d'héberger un serveur chez vous, il est recommandé de prendre connaissance des [limitations liées à votre FAI](/isp). Si votre FAI est trop contraignant, il est possible d'[utiliser un VPN pour contourner ces limitations](/vpn_advantage_fr) 
</div>

## Prérequis

- Un Raspberry Pi 1, 2 ou 3 ;
- Une carte SD *classe 10* d'au moins 8 Go (par exemple une [Transcend 300x](http://www.amazon.fr/Transcend-microSDHC-adaptateur-TS32GUSDU1E-Emballage/dp/B00CES44EO)) ;
- Un adaptateur secteur pour la alimenter la carte ;
- Un câble ethernet/RJ-45 pour brancher la carte à votre routeur/box internet.
- Une des **images YunoHost pour Raspberry Pi** :
 - [Officielle, Wheezy/YunoHost 2.2 créée le 4 juin 2015](http://build.yunohost.org/yunohost4rpi2.img.7z)
 - [Non officielle Jessie/YunoHost 2.2 créée le 5 décembre 2015](https://forum.yunohost.org/t/building-a-new-image-for-raspberry-debian-jessie-fr-en/1101/2)
- (Optionnel) Un écran et un clavier si il n'est pas possible de se connecter directement en SSH au Raspberry.

Pour préparer la carte SD, il est préférable d'avoir un ordinateur sous GNU/Linux ou BSD. Il devrait être possible de suivre les mêmes instructions sous MacOS/OSX. Sur Windows, il vous faudra suivre les instructions disponibles [ici](/copy_image_fr).

---

## Installation avec une image

<a class="btn btn-lg btn-default" href="/copy_image_fr">1. Copier l’image sur une carte SD</a>

<a class="btn btn-lg btn-default" href="/plug_and_boot_fr">2. Brancher & démarrer</a>

<a class="btn btn-lg btn-default" href="/ssh_fr">3. Se connecter en SSH [TODO : Cette partie n'est pas triviale et dois être détaillée comme pour OLinuXino !!]</a>

<a class="btn btn-lg btn-default" href="/postinstall_fr">4. Post-installation</a>

---

## Installation manuelle


0. Installez Raspbian sur la carte SD puis connectez-vous en ssh au Raspberry Pi. [TODO : Cette partie n'est pas triviale et dois être détaillée comme pour OLinuXino !!]

1. L'user root doit avoir un mot de passe. (Si ce n'est pas le cas l'installation ne marchera pas.)
```bash
sudo passwd root
```

2. Installer git
```bash
sudo apt-get install git
```

3. Récupérer le script d'installation de Yunohost
```bash
git clone https://github.com/YunoHost/install_script /tmp/install_script
```

4. Executez le script d' installation
```bash
cd /tmp/install_script && sudo ./install_yunohost
```

---

***Si vous avez besoin d’aide lors de ces étapes, n’hésitez pas à utiliser les différents [outils de support](/support_fr).***
